#
# spec file for package dnsmasq (Version 2.45)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           dnsmasq
Summary:        Lightweight, Easy-to-Configure DNS Forwarder and DHCP Server
Version:        2.45
Release:        0.1
License:        GPL v2 or later
Group:          Productivity/Networking/DNS/Servers
Provides:       dns_daemon
PreReq:         %fillup_prereq %insserv_prereq /bin/mkdir
AutoReqProv:    on
Url:            http://www.thekelleys.org.uk/dnsmasq/
Source:         %{name}-%{version}.tar.gz
Source1:        vendor-files.tar.bz2
Patch1:         group_and_isc.diff 	
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dnsmasq is a lightweight, easy-to-configure DNS forwarder and DHCP
server. It is designed to provide DNS and, optionally, DHCP, to a small
network. It can serve the names of local machines that are not in the
global DNS. The DHCP server integrates with the DNS server and allows
machines with DHCP-allocated addresses to appear in DNS with names
configured either in each host or in a central configuration file.
Dnsmasq supports static and dynamic DHCP leases and BOOTP for network
booting of diskless machines.



Authors:
--------
    simon@thekelleys.org.uk

%debug_package
%prep
%setup
%setup -T -D -a1
%patch1 -p0

%build
mv po/no.po po/nb.po
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing " make

%post
%{fillup_and_insserv dnsmasq}

%preun
%stop_on_removal dnsmasq

%postun
%restart_on_update dnsmasq
%{insserv_cleanup}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%install
rm -rf $RPM_BUILD_ROOT
make install-i18n DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr
install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/init.d
install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/slp.reg.d
install -m 755 rc.dnsmasq-suse $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/dnsmasq
ln -sf ../../etc/init.d/dnsmasq $RPM_BUILD_ROOT/usr/sbin/rcdnsmasq
install -m 644 dnsmasq.conf.example $RPM_BUILD_ROOT/%{_sysconfdir}/dnsmasq.conf
install -m 644 dnsmasq.reg  $RPM_BUILD_ROOT/%{_sysconfdir}/slp.reg.d/

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING FAQ doc.html setup.html dnsmasq.conf.example contrib
%config(noreplace) /%{_sysconfdir}/dnsmasq.conf
/%{_sysconfdir}/init.d/dnsmasq
/usr/sbin/rcdnsmasq
/usr/sbin/dnsmasq
/usr/share/locale/*/LC_MESSAGES/*
/%{_sysconfdir}/slp.reg.d/
%attr(0644,root,root) /%{_sysconfdir}/slp.reg.d/dnsmasq.reg
%doc %{_mandir}/man8/dnsmasq.8.gz
%doc %{_mandir}/es/man8/dnsmasq.8.gz
%dir %{_mandir}/fr/man8/
%doc %{_mandir}/fr/man8/dnsmasq.8.gz

%changelog
* Tue Aug 12 2008 - ug@suse.de
- version update to 2.45
- using random ports and TRXIDs to protect against
  spoofing attacks (bnc#411761)
* Mon Oct 30 2006 - ug@suse.de
- version 2.35
- better performance on parsing huge /etc/hosts files
* Tue Oct 17 2006 - ug@suse.de
- version 2.34
- Tweak network-determination code
- Improve handling of high DNS loads
- Fixed intermittent infinite loop when re-reading
  /etc/ethers after SIGHUP
- Provide extra information to the lease-change script
- Run the lease change script as root
- Add contrib/port-forward/* which is a script to set up
  port-forwards using the DHCP lease-change script
- Fix unaligned access problem
- Fixed problem with DHCPRELEASE
- Updated French translation
- Upgraded the name hash function in the DNS cache
- Added --clear-on-reload flag
- Treat a nameserver address of 0.0.0.0 as "nothing"
- Added Webmin module in contrib/webmin
* Fri Aug 11 2006 - ug@suse.de
- init-script more LSB conform
  patch by Matthias Andree
* Mon Aug 07 2006 - ug@suse.de
- version 2.33
- Provide extra information to lease-change script
- Fix breakage with some DHCP relay implementations
- compilation warning fixes
- minor DNS and DHCP fixes and enhancements
* Mon Jun 12 2006 - ug@suse.de
- version 2.32
* Wed May 17 2006 - ug@suse.de
- version 2.31
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - ug@suse.de
- Fixed crash when attempting to send a DHCP NAK to a host
  which believes it has a lease on an unknown network.
  That bug was invented in 2.25
- version 2.26
* Mon Jan 16 2006 - ug@suse.de
- moved dnsmasq.no to dnsmasq.np
  see bug #42748
* Mon Jan 16 2006 - ug@suse.de
- version update to 2.25
* Mon Nov 28 2005 - ug@suse.de
- version update to 2.24
* Mon Oct 17 2005 - ug@suse.de
- "-fno-strict-aliasing" now
* Wed Oct 12 2005 - ug@suse.de
- version update to 2.23
* Wed Aug 24 2005 - ug@suse.de
- Fix DNS query forwarding for empty queries and forward
  queries even when the recursion-desired bit is clear.
  This allows "dig +trace" to work
  Bug #106717
* Fri Aug 05 2005 - cthiel@suse.de
- update to version 2.22
* Wed Apr 13 2005 - mls@suse.de
- fix slp registration
* Mon Jan 24 2005 - ug@suse.de
- version update from 2.19 to 2.20
- Allow more than one instance of dnsmasq to run on a
  machine, each providing DHCP service on a different
  interface
- Protect against overlong names and overlong
  labels in configuration and from DHCP.
- Fix interesting corner case in CNAME handling. This occurs
  when a CNAME has a target which "shadowed" by a name in
  /etc/hosts or from DHCP
- Added support for SRV records
- Fixed sign confusion in the vendor-id matching code
- Added the ability to match the netid tag in a
  dhcp-range
- Added preference values for MX records
- Added the --localise-queries option.
* Fri Jan 21 2005 - ug@suse.de
- version update to 2.19
- minor fixes in IPV6 and DHCP Code
* Fri Nov 26 2004 - ug@suse.de
- version update to 2.18
- lots of DHCP fixes
- some IPV6 fixes
* Fri Nov 19 2004 - ug@suse.de
- SLP support via /etc/slp.reg.d/dnsmasq.reg file added
* Fri Aug 20 2004 - ug@suse.de
- version update from 2.11 to 2.13
- Added extra checks to ensure that DHCP created DNS entries
  cannot generate multiple DNS address->name entries.
- Don't set the the filterwin2k option in the example config
  file and add warnings that is breaks Kerberos.
- Log types of incoming queries as well as source and domain.
- Log NODATA replies generated as a result of the filterwin2k
  option.
* Mon Aug 09 2004 - ug@suse.de
- version update from 2.8 to 2.11
* Tue Jun 01 2004 - ug@suse.de
- chgrp to "dialout" and not to "dip"
- backward compatibility turned off
* Mon May 24 2004 - ug@suse.de
- added to distribution
